#{extends 'borderNG.html' /}

#{set 'titleHead'}
Daftar Agency
#{/set}

<div class="breadcrumb">&{'ukpbj.daftar_paket'}</div>
<div class="content">
#{alert /}
    <table class="table table-sm" id="tblUkpbj">
        <thead>
        <tr>
            <th width="10"><input type="checkbox" class="checkall" /></th>
            <th width="250px">&{'ukpbj.nama'}</th>
            <th width="250px">&{'ukpbj.alamat'}</th>
            <th width="100px">&{'ukpbj.telepon'}</th>
            <th width="100px">&{'ukpbj.fak'}</th>
            <th width="50px">&{'ukpbj.tanggal_daftar'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{form @admin.UkpbjCtr.hapus()}
    #{addButton action:@admin.UkpbjCtr.edit() /}
    #{newDeleteButton /}
    #{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript">
    var agencyView = #{jsRoute @admin.UkpbjCtr.edit(':id') /};
    var table = $("#tblUkpbj").DataTable({
         columnDefs: [{
                targets: 0, searchable : false, sortable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    row[1] = "<a href='"+agencyView.url({id:row[0]})+"'>"+row[1]+"</a>";
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }] ,
        select: 'multi',
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.ukpbj()}"
    });

    $('#tblUkpbj_filter input').unbind();
    $('#tblUkpbj_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

    $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkUkpbj').val(res[0]));
             }
         });
     });
</script>
#{/set}
